{#<pagetitle>NHS.UK | Declaration</pagetitle>#}
{% from '../../../common/components/p/macro.njk' import p %}
{% from '../../../common/components/list/macro.njk' import list %}
{% from '../../../common/components/link/macro.njk' import link %}
{% from '../../../common/components/heading/macro.njk' import heading %}
{% from '../../../common/components/checkboxes/macro.njk' import checkboxes %}
{% from '../../../common/components/button/macro.njk' import button %}
{% from '../../../common/components/input/macro.njk' import input %}

<form action="declaration" method="post" class="form">
    {{ heading({
            subHeading:{
                text: 'declaration-other.section.heading'
            },
            text: 'declaration-other.h1',
            classes: 'nhsuk-heading-l govuk-heading-l',
            locale: locale
        })
    }}

    <div class="declaration nhsuk-u-margin-bottom-5">
    {{ p({text: 'declaration-other.h1', classes: 'declaration-content', locale: locale}) }}
    <br>    
    {{ p({text: 'declaration-other.p1', classes: 'nhsuk-body', locale: locale}) }}
    
    {{
        list({
            items: [
                "declaration-other.list1.item1",
                "declaration-other.list1.item2"
            ],
            classes: 'nhsuk-list--bullet',
            locale: locale
        })
    }}

    <p class="nhsuk-body">
    {{ __({phrase: "declaration-other.p2.html", locale: locale }) | safe }}
    </p>
    
    {{ p({text: 'declaration-other.p3', classes: 'nhsuk-body', locale: locale}) }}
    {{ p({text: 'declaration-other.p4', classes: 'nhsuk-body', locale: locale}) }}

    {{
        list({
            items: [
                "declaration-other.list2.item1",
                "declaration-other.list2.item2",
                "declaration-other.list2.item3",
                "declaration-other.list2.item4",
                "declaration-other.list2.item5"
            ],
            classes: 'nhsuk-list--bullet',
            locale: locale
        })
    }}
    {{ p({text: 'declaration-other.p5', classes: 'nhsuk-body', locale: locale}) }}

    {{
        list({
            items: [
                "declaration-other.list3.item1",
                "declaration-other.list3.item2",
                "declaration-other.list3.item3"
            ],
            classes: 'nhsuk-list--bullet',
            locale: locale
        })
    }}
    {{ p({text: 'declaration-other.p6', classes: 'nhsuk-body', locale: locale}) }}

      {{
        list({
            items: [
                "declaration-other.list4.item1",
                "declaration-other.list4.item2"
            ],
            classes: 'nhsuk-list--bullet',
            locale: locale
        })
    }}
    {{ p({text: 'declaration-other.p7', classes: 'nhsuk-body', locale: locale}) }}
    {{ p({text: 'declaration-other.p8', classes: 'nhsuk-body', locale: locale}) }}
    {{ p({text: 'declaration-other.p9', classes: 'nhsuk-body', locale: locale}) }}
    {{ p({text: 'declaration-other.p10', classes: 'nhsuk-body', locale: locale}) }}
    {{ p({text: 'declaration-other.p11', classes: 'nhsuk-body', locale: locale}) }}
    {{ p({text: 'declaration-other.p12', classes: 'nhsuk-body', locale: locale}) }}
    
    {{
        list({
            items: [
                "declaration-other.list5.item1",
                "declaration-other.list5.item2",
                "declaration-other.list5.item3",
                "declaration-other.list5.item4",
                "declaration-other.list5.item5"
            ],
            classes: 'nhsuk-list--bullet',
            locale: locale
        })
    }}

    {{ p({text: 'declaration-other.p13', classes: 'nhsuk-body', locale: locale}) }}

    <p class="nhsuk-body">{{ __({phrase: "declaration-other.p14", locale: locale}) }}
        <a href="https://www.nhsbsa.nhs.uk/vaccine-damage-payment-scheme-vdps-claim-process">www.nhsbsa.nhs.uk/vaccine-damage-payment-scheme-vdps-claim-process</a>
    </p>
    </div>

    {{ input({
        "label": {
            "text": "declaration.name1", 
            locale:locale
        },
        "id": "declarationFirstName",
        "name": "declarationFirstName",
        "value": data.body.declarationFirstName | d(data.Claim.DeclarationFirstName),
        "errorMessage": parseErrors(errors, 'declarationFirstName'),
        "classes": "nhsuk-input--width-20"
    }) }}

    {{ input({
        "label": {
            "text": "declaration.name2",
            locale:locale
        },
        "id": "declarationLastName",
        "name": "declarationLastName",
        "value": data.body.declarationLastName | d(data.Claim.DeclarationLastName),
        "errorMessage": parseErrors(errors, 'declarationLastName'),
        "classes": "nhsuk-input--width-20"
    }) }}

    <div class="nhsuk-inset-text">
        <span class="nhsuk-u-visually-hidden">Information: </span>
        <p class="nhsuk-body">
            {{ __({phrase: 'declaration-other.confirm', locale:locale}) }}
            {{ data.MetaData.Email }}
        </p>
    </div>
    
    {{
        checkboxes({
            "id": "declarationA",
            "name": "declarationA",
            "errors":  filterErrors(errors, 'declarationA'),
            "items": [
                {
                    "name":'declarationA',
                    "id": "declarationA",
                    "value": "declarationA",
                    "datapoint": data.Claim.DeclarationA,
                    "text": "declaration-other.iConsent",
                    "checked": true if (data.body.declarationA or data.Claim.DeclarationA),
                    locale: locale
                }
            ]
        })
    }}
   
    <br>

    {{
        button({
            "text": "common.button.submit",
            "type": "submit",
            locale: locale
        })
    }}
</form>